HISTORY

(tvi) = TVInfo Import
(tvk) = TVInfo Merkzettel Import
(tvm) = TVMovie Import
(hoe) = Hoerzu Import
(inf) = Infosat Import

v0.5.6  - macfly       - 16.09.2005
	- (all) fixed writing some Status to OSD (prevent svdrp-timeout),
		(thx2ronnykornexl,maec,Darkside,Sledge Hammer)
	- (tvm) fixed download of broken images (thx2Tobi)
	- (tvk) fixed download of 2nd Page from Merkzettel 
		(thx2hgm.bg,Dirk)
	- (all) added some Information for berlin.rbb.de, rhein-main tv.de,
		bloomberg.tv,dw.tv,Bible.tv (thx2Andreas B.)


v0.5.5  - macfly       - 09.09.2005
	- (all) writing some Status to OSD
	- (tvi) fixed the parser.

v0.5.4  - macfly       - 16.07.02005
	- (all) removed the annoying <br>'s (thx2viking)
	- (tvm) optimized the download. Now only the updatefiles
		are forced to be downloaded.
	- (all) new -n switch, which enables running tvm2vdr.pl 
		without a running VDR. Simply point your $epgfile
		to your epg.data (full path!). Warning: unexpected 
		behaviour, if writing epg.data directly, when VDR is
		running!
	- (hoe)	fixed a bug when importing images and an image is missing
		in the zip-archive (thx2ein_guter)

v0.5.3  - macfly       - 16.05.02005
	- (all) new swiss channels (thx2mbc)
	- (all) fixes in channels.conf (please update channels.pl and
		channels_wanted.pl) (thx2mbc)
	- (tvk) genre are now a subdir as an option (see config.pl_dist)
		(thx2roland)
	- (tvk) series are now a subdir as an option (see config.pl_dist)
		(thx2roland)
	- (tvk) the prefix TVINFO+ has moved from filename to summary.
		Please delete old timers by hand before running a new 
		import. (thx2roland)

v0.5.2  - macfly       - 13.05.02005
	- (all) added local channels for ndr and wdr (thx2mbc)
	- (tvm) removed some special chars
	- (tvm) added channels b.tv, hit24, kanal.d, zdfinfo and discovery
		history
	- (tvm) changed downloadurl - now 14 (sometimes 15) days are available.

v0.5.1  - macfly       - 29.04.2005
	- (tvi) fixed some import-issues regarding local events. removed some
		unnecessary comma in topflags.
	- (hoe) fixed the use of external perlmodules. Now Archive::Zip is
		REALLY not required, if you don't use hoerzu (thx2mbc)

v0.5.0  - macfly       - 28.04.2005
	- (tvm) rewrote the complete parser. Everything should work again.
	- (inf) new channels for 3.br-online.de, einsmuxx
	- (tvm) new channels for DR1, DR2, FAB, HH1, Home Shopping Europe,
		QVC, SF1, SF2, TRT, TV5, TV München, XXP, RBB Brandenburg, 
		CNN, Hit24, nbc, tv.nrw, and all channels from austria 
		(thx2mbc)

v0.4.9  - macfly       - 16.04.2005
	- (hoe) removed debugmessages, fixed some undef's. Imageimport
		should work again.

v0.4.8  - macfly       - 15.04.2005
	- (all) fixed a bug when importing from 2 different providers with 
		year and country (thx to wilderigel)
	- (inf) added channel-id for 3.br-online (thx2ronnykornexl)
	- (tvk) fixed a bug (tvk did not find any titles) (thx2somsack)

v0.4.7  - macfly       - 07.04.2005
	- (inf) changed channel-id for hse24
	- (hoe) added support for the "free" version. To use it, simply
		leave the PIN empty. The "free" version contains EPG for
		rtl,sat1,rtl2,srtl,vox,ard,3sat,zdf,pro7,k1
	- (all) imagesize and imagetype are now configurable ($imagetype and
		$imagesize)
	- (tvm) multiple images for one event are downloaded now. The first
		image is $epgevent (i.e. 445323.png) the other are $epgevent_$i 
		(i.e. 445323_1.png, 445323_2.png)
	- (tvk) Genre/Category can now be switched off ($tviwantfolder)

v0.4.6  - macfly       - 31.03.2005
	- (hoe)	new interface for official hoerzu-epg (epgdata.com)
		you need a pin for this. please ask for a pin at
		contact@epgdata.com. Right now, the test stage is running,
		pins are free of charge.
	- (hoe) you want images? Set $writeimages to 1, verify the imagepath
		and use a skin with imagesupport.
	- (tvm)	Images? just set $writeimages to 1, verify imagepath and use
		a skin with imagesupport.

v0.4.5  - macfly       - 19.02.2005
	- (tvm) added tvm-IDs for XXP and CNN in channels.pl

v0.4.5  - macfly       - 19.02.2005
	- (hoe) changed the parser to case insensitive
	- (hoe) added a delay when downloading (else we would get bibletv)
	- (tvk) fixed the parsing of new channels.pl structure (thx to Falk)
	- (tvk) fixed a bug for cable/terr (thx to PanamaJack)
	- (all) fixed a bug in contrib/printchannels.pl for cable/terr (thx
		to PanamaJack)
	- (all) fixed a typo in channels.pl (premiere start) (thx to dido)
	- (all) added some more html-tags (thx to PanamaJack)

v0.4.4  - macfly       - 11.02.2005
	- (all) the list of actors is cast, not casts. If you have autotimer
		like casts:.brad.pitt, please update to cast:.brad.pitt
	- (tvi) changed the parser to use HTML::Scrubber and
		HTML::TableContentParser. Please install the apropriate
		perl-modules if you want to use tvinfo (see README)
	- (all) split channels.pl into channels.pl for configuration and
		channels_wanted.pl for mapping channels to provider. Use
		contrib/convert_channels.pl in the base-dir of tvm2vdr to 
		generate both files or use the provided ones an rename
		channels_wanted.pl_dist to channels_wanted.pl

v0.4.3  - macfly       - 09.02.2005
	- (all)	fixed contrib/printchannels.pl when dumping a cable channels.conf
	- (all) added a warning, if no matching channel in channels.conf is
		found for a configured channel in channels.pl
	- (all) fixed the channel for TerraNova (Astra)
	- (all) added noEPG patch for vdr-1.3.19
	- (all) added noEPG patch for vdr-1.3.20
	- (all) added extended_EPG patch for xxv-0.16b
	- (all) added extended_EPG patch for xpix' vdradmin-0.95_0.9_pre5
	- (all) modified utf8-handling. hopefully all german umlaute are
		correkt now.
	- (all) moved xmltvtranslate() to generic helperfunc.pl

v0.4.2  - macfly       - 02.02.2005
	- (inf) changed the channel for getinfosat.sh from 40 to viva.
		Hopefully this is now automagically the correct channel ..
	- (all) New channel Terra Nova (tvmovie, tvinfo, hoerzu, infosat) 
	- (all) New channel Animal Planet (tvmovie, tvinfo, hoerzu) - please
		update your channels.pl. (thx to df-h)
	- (inf) New channel nbc. Modified channel TSR1 -> TSR
	- (tvm) added section "Info" to the summary.
	- (tvm) fixed the updatemarker (!) (thx to KingJerry)
	- (hoe) New channel bibel-tv and gotv
	- (all) made the useragent more general

v0.4.1  - macfly       - 31.01.2005
	- (inf) fixed an error with wrong channelidentification for bibel-tv.
		please update your channels.pl. (thx to Heißduscher)
	- (inf) fixed an error with importing only the last available day
		(thx to ronnykornexl)

v0.4.0  - macfly       - 30.01.2005
	- (all) added configuration for disabling flags like [DolbyDigital]
		at the top and bottom of EPG since they are now redundant. 
		Please update your config.pl ($wantbottomflags, $wanttopflags)!		
	- (all) created a function to genereate a epgevent. Now epg-events
		will have special tags at the top and end like Aud: Stereo 
		and so on (read README!)
	- (all) added a patch for vdradmind (0.95) to parse the extended 
		EPG-information. Available in autotimer, use the following 
		patterns in the path of recording to access the extended 
		EPG-information from tvm2vdr:
		%title%		title of event
		$subtitle%	subtitle of event
		%date%		date of recording
		%director%	director of event
		%category%	category of event
		%genre%		genre of event
		%year%		year of production
		%country%	country of production
		%originaltitle%	originaltitle
		%fsk%		FSK (Freiwillige Selbstkontrolle in germany)
		%episode%	episode of event
		%rating%	rating of epg-provider
	- (tvm) rewrote script to use above function. Rating available are Tipp,
		TopTipp, TagesTipp
	- (hoe) rewrote script to use above function. Rating available are 
		Schwach, Annehmbar, Gelungen, Großartig
	- (tvi) rewrote script to use above function. No Rating available.
	- (tvi) fixed Problem with "Sendeschluss" (kika and arte) (thx to HFlor)
	- (tvi) now skipping events from switzerland (Sat1..).
	- (inf) rewrote script to use above function. Rating available is "TIPP"

v0.3.3  - macfly       - 19.01.2005
	- (tvk) fixed the cleanup of old files.
	- (all) fixed a typo in channel bible-tv for infosat. Please update
		your channels.pl! (thx to Thorsten)
	- (tvm) fixed the output of channelname which ist currently downloaded.
	- (hoe)	fixed parsing of radiochannels if there ist no content.
	
v0.3.2  - macfly       - 17.01.2005
	- (tvm) Added channelname which ist currently downloaded.
	- (all) added configuration for networktimeout. 
	- (tvi) refixed (doh!) wrong casts ..
	- (all) fixed a race when script is run over midnight (thx to Wesie)
	- (tvm) added configuration for the prefix when updating events (thx
		to izeman)

v0.3.1  - macfly       - 14.01.2005
	- (tvk) fixed wrong URL for fetching Merkzettel. Thx to tester.
	- (tvm) modified the "TVMovie-Star" - now following Tags are used:
		[TVMovie-TopTipp]
		[TVMovie-TagesTipp]
		These tags can be used in autotimer or in epg-search.
	- (all) added configuration options for number of retries on
		networkproblems and if the script should abort on networkerror. 
		See config.pl
	- (tvi) fixed the parser to follow the changes they made in their
		layout (bunny and the hedgehog?).

v0.3.0  - macfly       - 04.01.2005
	- (tvm) fixed missing events when using updatefeature from tvmovie
		(thx to dido, wilderigel). New or updated events will get an
		"!" in front of the eventname. Unfortunately i see no
		possibility to remove events that are invalidated by updated 
		events (even the tvmovie clickfinder cannot handle these events 
		correctly, so i guess, it's ok.)

v0.2.9  - macfly       - 04.01.2005
	- (tvi) fixed wrong casts (thx to HFlor)
	- (tvk) new namesfor cached files so that they can be removed with
		cleanupoldfiles=1
	- (tvm) fixed missing some events (esp. Magazines) (thx to dido,mbc)

v0.2.8  - macfly       - 01.01.2005
	- (tvk) fixed error with events from 31.12.2004 (no events on the
		first page are imported)
	- (inf) removed strange numbers (thx to Malte)

v0.2.7  - macfly       - 21.12.2004
	- (tvm) fixed missing summary in some series (thx to mbc) 
	- (tvm) rewrote logic for summary

v0.2.6  - macfly       - 16.12.2004
	- (tvm) added rolename to casts, more verbose category, original
		title

v0.2.5a  - macfly       - 14.12.2004
	- (tvm) fixed scope of variables. Hopefully the content ist clean 
		again.

v0.2.5  - macfly       - 13.12.2004
	- (tvm) rewrote the xml-parser. Now using a funktion for maincontent
		and the updatecontent.

v0.2.4a  - macfly       - 08.12.2004
	- (all) the Downloadhandlers are called only if there is a channel
		configured for this handle.
	- (tvi) reenabled Module.

v0.2.4  - macfly       - 07.12.2004
	- (tvm) added HTML-Translation from viking - no more &ndash;
	- (tvm) now extracting more information from tvmovie (thx to Viking)
	- (inf) added rc-evaluation from switching channels (thx to Hulk)

v0.2.3a - macfly       - 15.11.2004
	- (inf) rewrote the parser for swiss events.

v0.2.3 - macfly       - 11.11.2004
	- (inf) again rewrote the infosat-importer - now ignoring
		swiss events and guessing events without duration. 
	- (all) added disable-epg-scan-patch for vdr-1.3.15 - new
		behaviour, see README.

v0.2.2a - macfly       - 07.11.2004
	- (inf) fixed last event on wrong channel (thx to Hulk)

v0.2.2 - macfly       - 06.11.2004
	- (inf) completely recoded the infosat-importer.

v0.2.1 - macfly       - 31.10.2004
	- (hoe) hoerzu is working again with new POST-request (thx to Torsten)
	- (hoe) fixed a language specific bug (thx to Liutger)
	- (inf) first beta of Infosatimport (thx to jabba)

v0.2.0 - macfly       - 10.10.2004
	- (tvi) removed.
	- (tvk) moved to a xml-interface. This interface provides only very
		few further information on a timer. If you need a more
		detailed timer, ask tvinfo to provide more information.
		refer to http://www.vdr-portal.de/board/thread.php?threadid=23301 

v0.1.5 - macfly       - 06.10.2004
	- (tvk) fixed the wrong useragent - now downloading files with
		content.
	- (tvk) added actors to timercontent
	- (all) added a more verbose subtitle

v0.1.4 - macfly       - 26.07.2004
	- (all) fixed hopefully the last language specific bug

v0.1.3 - macfly       - 07.06.2004
	- (all) changed dateformat to german, fixed language-settings
                (thx to Lars)

v0.1.2 - macfly       - 20.05.2004
	- (tvi) added channel Euronews, BRAlpha, ATV+, Premiere Austria
	- (all) fixed http-downloader. Now doing a maximum of 3 retries if
	        a download temporary fails.

v0.1.1 - macfly       - 18.05.2004
	- (tvi) wrote a workaround for tvinfo sending wrong pages between 
	        01:oo and 06:oo 
	- (all) added disableEPG-Scan-136-0.2.0 with bugfix for new channels

v0.1.0 - macfly       - 28.03.2004
	- (tvm)	fixed cleanup of old files.
	- (tvi)	better support for subtitles
	- (tvi) better support for subevents in events 
	- (tvi) fixed a bug with not detecting "Sendeschluss"
	- (all) added disableEPG-Scan-136-0.1.0 with support for 
                vdr-1.3.6

v0.0.9 - macfly       - 02.03.2004
	- (all)	renamed all downloadfiles to dateformat %Y%m%d for proper
		cleanup.
	- (all)	updated the cleanup function. Now only the cachefiles
		for yesterday are removed.
	- (all)	updated the setting "our $useupdate". If set to 1, tvinfo 
		and hoerzu will force th download for today. Hopefully the 
		wrong data for todayare gone, now.

v0.0.8d - macfly       - 07.01.2004
	- (all) new TVMovie IDs for einsmuxx, zdfdoku, etc.
	- (all) changed the internal structure of the events making
	        it easier to update events for tvmovie.
	- (tvm) now really fixed the "Wide character" Problem. No more
                using unicode since lwp is not unicode-aware.

v0.0.8c - macfly       - 22.12.2003
	- (tvk) fixed wrong day for timer between 0:00 and 05:00

v0.0.8b - macfly       - 21.12.2003
	- (tvm) now using lwp for downloading. no more wget
                required. (request for linvdr)
	- (tvm) hopefully fixed the "Wide character" Problem

v0.0.8a - macfly       - 11.12.2003
	- (tvk) no more loosing timer if tvinfo is down.
	- (all) added some swiss channels on hotbird (txh to 
                schitthoch2) 

v0.0.8  - macfly       - 10.12.2003
	- (tvk) added errorhandling for wrong login/password
	- (tvk) page 2++ are now retrieved, too
	- (tvk) year 2004 (and following) are working now.
	- (tvm) failure while downloading no longer terminates the
	        import.

v0.0.7e - macfly       - 05.12.2003
	- (tvi) again fixed a bug in events ending after 0:00 - Hope-
	        fully the last fix.

v0.0.7d - macfly       - 05.12.2003
	- (all) clean errorhandling. ctrl-c now does a proper shutdown
	- (all) optionally cleanup old cachefiles (see config)

v0.0.7c - macfly       - 04.12.2003
	- (hoe) fixed a bug in events ending after 0:00 (thx to mini)
	- (tvk) fixed proxy

v0.0.7b - macfly       - 26.11.2003
	- (tvi) fixed a bug in events ending after 0:00 (thx to mini)
	- (all) added genre-information

v0.0.7a  - macfly       - 25.11.2003
	- (tvk) fixed a bug in channelparsing (thx to felix)

v0.0.7  - macfly       - 23.11.2003
	- (hoe) new provider hoerzu. Warning: this providerdriver is still
	        experimental.

v0.0.6d - macfly       - 20.11.2003
	- (tvk) fixed naming of timers for magazines and series. Both gets 
	        the subtitle appended.
	- (tvk) fixed naming of genre - only first / gets converted into ~

v0.0.6c - macfly       - 19.11.2003
	- (tvk) fixed a bug with last event=sendepause (thx to mini)

v0.0.6b - macfly       - 19.11.2003
	- (tvk) rewrote configuration for tvmerkzettelimport. Now configured
	        via config.pl
	- (all) fixed a bug channels.pl. If you have information regarding
	        missing data in channels.pl, please contact me.

v0.0.6a - macfly       - 17.11.2003
	- (tvk) fixed a bug in tvmerkzettelimport an timer > 00:00
	- (non) fixed a bug in printchannels.pl   

v0.0.6  - macfly       - 17.11.2003
	- (all) rewrote communication. 
	- (all) rewrote procedures
	- (all) switch -s only simulates now. If you need verbose output,
	        use -v
	- (tvk) experimental tvinfomerkzettel2vdr :) please configure the
	        script in the first 10 lines.

v0.0.5a - macfly       - 14.11.2003
	- (all) rewrote configuration. Please doublecheck your configfiles
	        and read the readme.
	- (all) using several provider at the same time (see readme)
	- (tvk) prepared channels.conf for tvinfomerkzettel-import and 
	        the planned provider hoerzu.

v0.0.5  - macfly       - 12.11.2003
	- (tvm) now using updatefiles from tvmovie (see readme / config.pl)
	        Warning! this is experimental.

v0.0.4h - macfly       - 12.11.2003
	- (tvi) new caching for tvinfo (see readme / tvinfo_config.pl).

v0.0.4g - macfly       - 11.11.2003
	- (tvi) fixed the beauty fix.
	- (tvi) added an option to cache downloads from tvinfo
	- (all) modified the logging format

v0.0.4f - macfly       - 11.11.2003
	- (tvi) beauty fix: epg with multiple events from tvinfo.

v0.0.4e - macfly       - 10.11.2003
	- (tvi) fixed bug with wrong epg-data from tvinfo (guess, who).

v0.0.4d - macfly       - 10.11.2003
	- (tvi) fixed bug with missing epg-data from tvinfo (guess, who).

v0.0.4c - macfly       - 10.11.2003
	- (all) fixed bug with ignoring the actual epg-event (guess, who).

v0.0.4b - macfly       - 10.11.2003
	- (tvm) fixed bug with tvmovie and double entries in epg-data (Bughunter: Dirk).

v0.0.4a - macfly       - 10.11.2003
	- (tvm) fixed bug with tvmovie and data from events in the past (Thank to Dirk).
	- (all) split up config.pl into config.pl and channels.pl 

v0.0.4  - macfly       - 09.11.2003
	- (tvm) using new tvmovie-fileformat (a big thank to Andreas Regel)
	- (tvi) first version of Provider tvinfo.de (try setting provider = "tvinfo"
	        Warning: this providerdriver isn't even beta. use on your own risk!
	        This provider needs the perlmodule LWP::UserAgent.
	- (all) new Option: clearEPG = 0/1 

v0.0.3	- macfly       - 30.10.2003
	- (all) rewrote the download of files.
	- (all) rewrote parsing of existing epg.data. Only parse epg.data
	  (all) for channels configured in config.pl -> speed!
	- (tvm) rewrote the parsing of XML-Data. Now using my very own
	        State machine, no sed&xsltproc required any more.

v0.0.2	- macfly       -  29.10.2003 
	- (tvm) Now comparing existing EPG-Data with Data from TVMovie.

v0.0.1	- macfly       -  27.10.2003
	- (all) Initial release
	- (tvm) rewrite of tvmoviefetch (python) and xmltv2vdr (perl + sed + xsltproc)
